﻿using Syncfusion.WinForms.Controls;
using Syncfusion.WinForms.DataGrid.Styles;
using System.Windows.Forms;
using Syncfusion.WinForms.DataGrid.Enums;
using Syncfusion.WinForms.DataGrid.Interactivity;
using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Renderers;
using System.Text.RegularExpressions;
using System;
using System.Linq;
using Syncfusion.WinForms.GridCommon.ScrollAxis;
using System.Drawing;
using Syncfusion.Data;
using System.Collections.ObjectModel;
using Syncfusion.WinForms.DataGrid.Data;
using System.Collections.Generic;
using Syncfusion.WinForms.DataGrid.Helpers;
using System.Windows.Forms.VisualStyles;
using Syncfusion.WinForms.DataGrid.Styles;
using Syncfusion.WinForms.DataGrid.Helpers;
using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Enums;
using Syncfusion.WinForms.DataGrid.Events;
using Syncfusion.WinForms.Core;
using Syncfusion.WinForms.Core.Enums;
using System.Reflection;

namespace GettingStarted
{
    public partial class Form1 : Form
    {
        #region Constructor
        public Form1()
        {
            InitializeComponent();
            var data = new OrderInfoCollection();
            sfDataGrid.AutoExpandGroups = true;
            sfDataGrid.CurrentCellKeyDown +=sfDataGrid_CurrentCellKeyDown;
            sfDataGrid.AutoGenerateColumns = false;
            sfDataGrid.DataSource = data.OrdersListDetails;
            this.sfDataGrid.Columns.Add(new GridNumericColumn() { MappingName = "OrderID" });
            this.sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "ProductName" });
            this.sfDataGrid.Columns.Add(new GridNumericColumn() { MappingName = "UnitPrice" });
            this.sfDataGrid.Columns.Add(new GridNumericColumn() { MappingName = "Quantity" });
            this.sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "CustomerID" });
            this.sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "ContactNumber" });
            sfDataGrid.AddNewRowPosition = Syncfusion.WinForms.DataGrid.Enums.RowPosition.Top;

        }

        void sfDataGrid_CurrentCellKeyDown(object sender, CurrentCellKeyEventArgs e)
        {
            if(this.sfDataGrid.IsAddNewRowIndex(this.sfDataGrid.CurrentCell.RowIndex) && e.KeyEventArgs.KeyCode == Keys.Escape)
                this.sfDataGrid.View.CancelNew();
        }

        #endregion
    }
}

